# Gimp.TextLayer

    from gi.repository import Gimp

    text_layer = Gimp.TextLayer()

Functions for querying and manipulating text layers.

## Hierarchy

- GObject.Object
  - Gimp.Item
    - Gimp.Drawable
      - Gimp.Layer
        - Gimp.TextLayer

## Methods

- Gimp.TextLayer.get_antialias
- Gimp.TextLayer.get_base_direction
- Gimp.TextLayer.get_color
- Gimp.TextLayer.get_font
- Gimp.TextLayer.get_font_size
- Gimp.TextLayer.get_hint_style
- Gimp.TextLayer.get_indent
- Gimp.TextLayer.get_justification
- Gimp.TextLayer.get_kerning
- Gimp.TextLayer.get_language
- Gimp.TextLayer.get_letter_spacing
- Gimp.TextLayer.get_line_spacing
- Gimp.TextLayer.get_markup
- Gimp.TextLayer.get_text
- Gimp.TextLayer.resize
- Gimp.TextLayer.set_antialias
- Gimp.TextLayer.set_base_direction
- Gimp.TextLayer.set_color
- Gimp.TextLayer.set_font
- Gimp.TextLayer.set_font_size
- Gimp.TextLayer.set_hint_style
- Gimp.TextLayer.set_indent
- Gimp.TextLayer.set_justification
- Gimp.TextLayer.set_kerning
- Gimp.TextLayer.set_language
- Gimp.TextLayer.set_letter_spacing
- Gimp.TextLayer.set_line_spacing
- Gimp.TextLayer.set_markup
- Gimp.TextLayer.set_text

## Static Functions

- Gimp.TextLayer.get_by_id